package com.ruoyi.bst.areaJoin.service;

import java.util.List;

public interface AreaJoinValidator {


    /**
     * 判断当前用户是否能修改当前加盟数据
     * @param id
     * @return
     */ 
    boolean canEdit(Long id);

    /**
     * 判断当前用户是否能删除当前加盟数据
     * @param ids
     * @return
     */ 
    boolean canDeleteAll(List<Long> ids);

    /**
     * 后校验
     * @param id
     */
    void afterCheck(Long id);
    
    
}
